1. Payslips
Nxsys API Documentation
  • Introduction
    • Nxsys API Documentation
    • Base URL and Environments
    • Handling Errors
    • Pagination
    • Best Practices
  • Authentication
    • Overview
    • Step 1: Create a Client Application
    • Step 2: Obtain Authorization Code
    • Step 3: Exchange your Authorization Code for an Access Token
    • Step 4: Refresh your Access Token
  • APIs
    • Authentication
      • Get url to connect Nxsys system
      • Get access token
    • Candidates
      • Create Candidate
      • Get Candidates
      • Update Candidate
      • Get Candidate by ID
    • Candidates Ireland
      • ClientCandidatesIrelandController_createIrelandCandidate
      • Get Candidates
      • Update Candidate
      • Get Candidate by ID
    • VAT Codes
      • Get list default VAT Code
    • PaymentRate
      • Create new Payment Rate
      • OpenAPIPaymentRateController_findAllPaymentRates
      • OpenAPIPaymentRateController_findPaymentRateById
      • Update Payment Rate
    • Timesheet
      • Create timesheets
      • OpenAPITimesheetController_findAllTimeSheet
      • OpenAPITimesheetController_findTimeSheetById
      • OpenAPITimesheetController_editTimeSheetById
    • Payslips
      • Get list payslips (v2)
        GET
    • Documents
      • Create document on Employee profile
      • Get list of documents for Employee
      • Get document by id
      • Update document
      • Delete document
  • Payslips
    • Get Payslips (v1 — legacy shape)
      GET
  • Schemas
    • Schemas
      • AgencyCreateDto
    • PensionSettingDTO
    • GeneralSettingDTO
    • BankSettingDTO
    • OpeningBalanceDTO
    • PayrollSettingDTO
    • CreateCandidateDTO
    • GeneralSettingUpdateDTO
    • PayrollSettingUpdateDTO
    • UpdateCandidateDTO
    • IrelandGeneralSettingDTO
    • IrelandBankSettingDTO
    • IrelandPayrollSettingDTO
    • CreateIrelandCandidateDTO
    • UpdateIrelandGeneralSettingDTO
    • UpdateIrelandBankSettingDTO
    • UpdateIrelandPayrollSettingDTO
    • UpdateIrelandCandidateDTO
    • PayslipCandidateDto
    • PayslipCompanyDto
    • PayslipAmountsDto
    • PayslipEarningDto
    • PayslipLineDto
    • UkPayeStatutoryDto
    • PayslipHolidayAccrualDto
    • UkEmployerCostsDto
    • UkPayeYtdDto
    • UkPayeBreakdownDto
    • IrelandPayeYtdDto
    • IrelandPayeBreakdownDto
    • CisBreakdownDto
    • PayslipBreakdownDto
    • PayslipAgencyDto
    • PartnerPayslipDto
    • PartnerPayslipListResponseDto
    • PaymentRateCreateDto
    • PaymentRateEditDto
    • OpenAPIRateTimeSheet
    • OpenAPITimeSheetCreateDto
    • OpenAPITimeSheetEditDto
    • OpenAPIDocumentCreateDto
    • OpenAPIDocumentEditDto
  1. Payslips

Get list payslips (v2)

Nxsys Umbrella - Production
https://api.nxsys.tech
Nxsys Umbrella - Production
https://api.nxsys.tech
GET
https://api.nxsys.tech
/nxsys/v2/payslips

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🟠400
🟠401
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.nxsys.tech/nxsys/v2/payslips?page=undefined&size=undefined&search=undefined&taxYear=undefined&taxPeriod=undefined&payFrequency=undefined&paymentModel=undefined&candidateIds=undefined' \
--header 'Authorization: <api-key>'
Response Response Example
200 - Example 1
{
    "data": [
        {
            "id": "PL-1",
            "taxYear": 0,
            "taxPeriod": 0,
            "payFrequency": "WEEKLY",
            "paymentModel": "CIS",
            "paymentDate": "2019-08-24T14:15:22.123Z",
            "candidate": {
                "ref": "SR-1",
                "forename": "string",
                "surname": "string",
                "fullName": "string",
                "agencyRef": "string",
                "niNumber": "AB123456C",
                "address": "123 Sample Street, London, SW1A 1AA"
            },
            "company": {
                "id": "COM-1",
                "name": "string"
            },
            "cisStatus": "string",
            "amounts": {
                "gross": 0,
                "net": 0,
                "timesheetValue": 0,
                "margin": 0,
                "materials": 0,
                "vat": 0,
                "cisDeduction": 0,
                "otherPayment": 0,
                "otherDeduction": 0,
                "totalPayment": 0,
                "expenseClaimed": 0,
                "studentLoan": 0,
                "postgraduateLoan": 0,
                "holidayPaid": 0,
                "paid": 0,
                "outstanding": 0
            },
            "earnings": [
                {
                    "rateCode": "PR100",
                    "description": "Standard Rate",
                    "rate": 12.21,
                    "units": 40,
                    "amount": 488.4
                }
            ],
            "payments": [
                {
                    "description": "Bonus",
                    "amount": 142.43
                }
            ],
            "deductions": [
                {
                    "description": "Bonus",
                    "amount": 142.43
                }
            ],
            "breakdown": {
                "region": "UK",
                "ukPaye": {
                    "taxCode": "1257L",
                    "niCategory": "A",
                    "taxBasis": "CUMULATIVE",
                    "salary": 0,
                    "taxablePay": 0,
                    "grossForTax": 0,
                    "tax": 0,
                    "employeeNI": 0,
                    "employeePension": 0,
                    "avcEEPension": 0,
                    "studentLoan": 0,
                    "postgraduateLoan": 0,
                    "attachmentOrder": 0,
                    "bonus": 0,
                    "expenses": 0,
                    "statutory": {
                        "ssp": 0,
                        "smp": 0,
                        "sap": 0,
                        "spp": 0,
                        "spbp": 0,
                        "sppa": 0,
                        "sncp": 0
                    },
                    "holidayAccrual": {
                        "broughtForward": 0,
                        "accruedThisPeriod": 0,
                        "takenThisPeriod": 0,
                        "carriedForward": 0
                    },
                    "employerCosts": {
                        "employersNI": 0,
                        "appLevy": 0,
                        "employersPension": 0,
                        "avcERPension": 0,
                        "holidayProvision": 0,
                        "margin": 0,
                        "lessCompanyCosts": 0
                    },
                    "ytd": {
                        "grossForTax": 0,
                        "grossForNI": 0,
                        "tax": 0,
                        "employeeNI": 0,
                        "employerNI": 0,
                        "employeePension": 0,
                        "employerPension": 0,
                        "avcEEPension": 0,
                        "avcERPension": 0,
                        "studentLoan": 0,
                        "postgraduateLoan": 0,
                        "appLevy": 0
                    },
                    "netPay": 0
                },
                "irelandPaye": {
                    "taxBasis": "CUMULATIVE",
                    "salary": 0,
                    "hours": 0,
                    "taxableGross": 0,
                    "tax": 0,
                    "uscGross": 0,
                    "usc": 0,
                    "eePrsiGross": 0,
                    "eePRSI": 0,
                    "erPrsiGross": 0,
                    "erPRSI": 0,
                    "eePension": 0,
                    "erPension": 0,
                    "avcPension": 0,
                    "pensionGross": 0,
                    "lptDeducted": 0,
                    "otherDeduction": 0,
                    "ytd": {
                        "taxablePay": 0,
                        "tax": 0,
                        "uscGross": 0,
                        "usc": 0,
                        "erPrsiGross": 0,
                        "erPRSI": 0,
                        "erPension": 0,
                        "erPrivatePension": 0,
                        "eePrsiGross": 0,
                        "eePRSI": 0,
                        "eePension": 0,
                        "eePrivatePension": 0,
                        "pensionGross": 0,
                        "lptDeducted": 0,
                        "insurableWeeks": 0
                    },
                    "takeHomePay": 0
                },
                "cis": {
                    "timesheetValue": 0,
                    "margin": 0,
                    "materials": 0,
                    "cisDeduction": 0,
                    "vat": 0,
                    "otherDeduction": 0,
                    "netPay": 0
                }
            },
            "payslipPdfUrl": "string",
            "agency": {
                "id": "AY-1",
                "name": "string",
                "prefix": "SA"
            }
        }
    ],
    "totalDocs": 0,
    "success": true
}
Previous
OpenAPITimesheetController_editTimeSheetById
Next
Create document on Employee profile
Built with